### Method

# GUPnPAV DIDLLiteResource set_uri

#### Declaration [src]

    void
    gupnp_didl_lite_resource_set_uri (
      GUPnPDIDLLiteResource* resource,
      const char* uri
    )

#### Description [src]

Set the URI associated with the `resource`.

Sets property | `GUPnPAV.DIDLLiteResource:uri`

#### Parameters

`uri`

  Type: `const char*`

  The URI as string.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.